Qt 5.6 | Qt GUI | C++ Classes | QPlatformSurfaceEvent

Qt 5.6.2 Reference Documentation

# QPlatformSurfaceEvent Class

The QPlatformSurfaceEvent class is used to notify about native platform surface events. More...

Header: | #include <QPlatformSurfaceEvent>
qmake: | QT += gui
Since: | Qt 5.5

- List of all members, including inherited members

## Public Types

enum | SurfaceEventType { SurfaceCreated, SurfaceAboutToBeDestroyed }

## Public Functions

| QPlatformSurfaceEvent(SurfaceEventType surfaceEventType)
SurfaceEventType | surfaceEventType() const

## Detailed Description

The QPlatformSurfaceEvent class is used to notify about native platform surface events.

Platform window events are synchronously sent to windows and offscreen surfaces when their underlying native surfaces are created or are about to be destroyed.

Applications can respond to these events to know when the underlying platform surface exists.

## Member Type Documentation

### enum QPlatformSurfaceEvent::SurfaceEventType

This enum describes the type of platform surface event. The possible types are:

Constant | Value | Description
--- | --- | ---
`QPlatformSurfaceEvent::SurfaceCreated` | `0` | The underlying native surface has been created
`QPlatformSurfaceEvent::SurfaceAboutToBeDestroyed` | `1` | The underlying native surface will be destroyed immediately after this event

The `SurfaceAboutToBeDestroyed` event type is useful as a means of stopping rendering to a platform window before it is destroyed.

## Member Function Documentation

### QPlatformSurfaceEvent::QPlatformSurfaceEvent(SurfaceEventType surfaceEventType)

Constructs a platform surface event for the given surfaceEventType.

### SurfaceEventType QPlatformSurfaceEvent::surfaceEventType() const

Returns the specific type of platform surface event.